# ACorEx

Thanks for downloading ACorEx!

It would be greatly appreciated if you took the time to fill out the [feedback form](https://forms.office.com/e/fW2d5GPPT4)!

# Instructions for Use

##### Note: The "Bigger UI" button resets the UI, and so will close any open corpuses.

## Analysis

Before exploring a corpus in Explorer view, you must first analyse some audio files.

* Select Analyse and Analyse Corpus
* Pick an audio directory and output file
* For the first analysis, it is recommended to leave the settings as they are
* Click confirm and wait!

*You can also insert into existing analyses by selecting an existing corpus file as your output file.*

##### Note: On MacOS, currently there is no progress reporting. For an analysis of 2000 drum one shots with the default settings, it may take around 30-60 seconds to complete. *(On Windows, progress is reported in the secondary console window)*

## Exploring

Once you have analysed a set of audio files, you may open them in Explore view.

* Select Explore and click Open Corpus to select your analysed corpus file
* Switch between space and colour dimensions with the dropdowns on the right to pick your various descriptors
* By setting one of the 3 space dimensions to None, you can drop into a 2D view

##### Note: If no audio can be heard or if audio is glitchy, try changing the output device selected - multiple devices with the same name will be different drivers. If audio is still glitchy, it may be due to the corpus being too large.

### Controls

Navigation can be done with a combination of mouse and keyboard controls.

#### Navigation:
* W-A-S-D-R-F - move the camera in 3D space
* Q-E - rotate the camera left and right
* Z-X - zoom in and out
* Left click drag - rotate the camera
* Middle mouse drag - pan the camera
* Middle mouse scroll - zoom in and out

#### Interaction:
* Right click - select the nearest point / trail
* SPACE - create playhead on currently selected file
* click the X on the playhead blocks at the bottom of the screen to delete playheads

#### Misc:
* ENTER - open the currently selected file in the OS file explorer
* C - copy the currently selected file path to clipboard